Subject: Re: [PATCH] usbnet: Fix using smp_processor_id() in preemptible code warnings

From: Jakub Kicinski <[email-masked]>
Date: Tue, 30 Sep 2025 17:43:40 -0700

On Wed, 01 Oct 2025 00:39:18 +0000 Zqiang wrote:
> > We also call netif_rx() which historically wanted to be in bh context.
> > I think that disabling bh in usbnet_resume_rx() may be a better idea.  
> 
> Actually, the netif_rx() will disable bh internally when call from
> process context.

Sigh. I said "historically". Commit under Fixes is very old
so the fix needs to be backported. Look thru the git history 
you'll see that netif_rx() did not disable BH when the bad commit 
was written.

> but the skb_defer_rx_timestamp() is usually called in the bh or
> interrupt context.
> 
> Anyway, I will disable bh in usbnet_resume_rx() and resend.

If you think you have better solution, please do not hesitate 
to propose.

Also make sure you read
https://www.kernel.org/doc/html/next/process/maintainer-netdev.html
if you haven't already.